Subject: Re: [IANA #154928] RFC3576 - Reference update

From: Bernard Aboba <[email-masked]>
Date: Wed, 24 Sep 2008 18:23:19 -0700

The allocation of RADIUS Packet Type Codes was handled in RFC 3575 because RFC 3576 (and its successor, RFC 5176) was an Informational document, and these parameters required "Standards Action" according to RFC 2865.   

So, in answer to the questions:

1. Since the allocations were formally made in RFC 3575 Appendix A, that document should be listed.  The second reference can be the document discussing or defining the use of the Type code.   Since RFC 5176 has obsoleted RFC 3576, that document should probably be listed instead of RFC 3576. 

2.  My recommendation is to list the allocations as follows:

Appendix A - RADIUS Packet Types

   A list of RADIUS Packet Type Codes is given below.  This document
   instructs IANA to list them in the registry of Packet Type Codes.
   Note that Type Codes 40-45, defined in [DynAuth], are being formally
   allocated here.  Codes 40-45 were listed in [RFC2882] and have been
   implemented and used.  Given their current widespread usage, these
   assignments are not reclaimable in practice.

   #        Message                      Reference
   ----     -------------------------    ---------
   1        Access-Request               [RFC2865]
   2        Access-Accept                [RFC2865]
   3        Access-Reject                [RFC2865]
   4        Accounting-Request           [RFC2865]
   5        Accounting-Response          [RFC2865]
   6        Accounting-Status            [RFC3575][RFC2882]
            (now Interim Accounting)
   7        Password-Request             [RFC3575][RFC2882]
   8        Password-Ack                 [RFC3575][RFC2882]
   9        Password-Reject              [RFC3575][RFC2882]
   10       Accounting-Message           [RFC3575][RFC2882]
   11       Access-Challenge             [RFC2865]
   12       Status-Server (experimental) [RFC2865]
   13       Status-Client (experimental) [RFC2865]
   21       Resource-Free-Request        [RFC3575][RFC2882]
   22       Resource-Free-Response       [RFC3575][RFC2882]
   23       Resource-Query-Request       [RFC3575][RFC2882]
   24       Resource-Query-Response      [RFC3575][RFC2882]
   25       Alternate-Resource-
            Reclaim-Request              [RFC3575][RFC2882]
   26       NAS-Reboot-Request           [RFC3575][RFC2882]
   27       NAS-Reboot-Response          [RFC3575][RFC2882]
   28       Reserved
   29       Next-Passcode                [RFC3575][RFC2882]
   30       New-Pin                      [RFC3575][RFC2882]
   31       Terminate-Session            [RFC3575][RFC2882]
   32       Password-Expired             [RFC3575][RFC2882]
   33       Event-Request                [RFC3575][RFC2882]
   34       Event-Response               [RFC3575][RFC2882]
   40       Disconnect-Request           [RFC3575][RFC5176]
   41       Disconnect-ACK               [RFC3575][RFC5176]
   42       Disconnect-NAK               [RFC3575][RFC5176]
   43       CoA-Request                  [RFC3575][RFC5176]
   44       CoA-ACK                      [RFC3575][RFC5176]
   45       CoA-NAK                      [RFC3575][RFC5176]
   50       IP-Address-Allocate          [RFC3575][RFC2882]
   51       IP-Address-Release           [RFC3575][RFC2882]
   250-253  Experimental Use
   254      Reserved
   255      Reserved                     [RFC2865]

________________________________________
From: Pearl Liang via RT [[email-masked]]
Sent: Wednesday, September 24, 2008 4:07 PM
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; Bernard Aboba; [email-masked]; [email-masked]
Subject: [IANA #154928] RFC3576 - Reference update

Dear Authors and ADs:

IANA currently completed a project to go through existing RFCs to verify if
there were any IANA actions that were never completed.  We are now going
through the results of that project and are trying to determine if the
actions should be performed or if they are not needed.

We are contacting you as either an author, working group chair, area
director or in an expert role for this RFC or protocol.  If you feel
that you can not assist in making suggestions, please let us know.

RELATED REGISTRIES: Radius Packet Type Codes

URL: http://www.iana.org/assignments/radius-types

REVIEWER COMMENTS: The assigning RFC for Packet Types 40-45 in
the registry "Radius Types - Radius Packet Type Codes" should either be
changed to, or include RFC 3576 as it updates these type codes.

The following is the current listing for  Packet Types 40-45:

#        Message                      Reference
----     -------------------------    ---------
40       Disconnect-Request           [RFC3575]
41       Disconnect-ACK               [RFC3575]
42       Disconnect-NAK               [RFC3575]
43       CoA-Request                  [RFC3575]
44       CoA-ACK                      [RFC3575]
45       CoA-NAK                      [RFC3575]

In addition, we receive a separate comment that the referencing
RFC 3575 need to be corrected to correspond to RFC 3575 "Appendix A
- Radius Packet Types".

Questions:
1. Is it correct to include RFC 3576 as a dual reference for these values?
2. The original reference was RFC 2882 for the Radius Packet Types.
Should the RFC 2882 be cited as well?

Please reply and advise how to correct the information in the IANA registry.
When we hear from you of your recommendation/instruction, we will
update the registry accordingly.

Thank you in advance for your help and time.

Regards,

Pearl Liang
IANA